const linearScale = d3.scaleLinear()
	.domain([0, 100])
	.range([0, 600])

const sequentialScale = d3.scaleSequential()
	.domain([0, 100])
	.interpolator(d3.interpolateRainbow)

let myData = [0, 10, 20, 30, 40, 50, 60, 70, 80, 90, 100];

d3.select('svg .sequential')
	.selectAll('circle')
	.data(myData)
	.join('circle')
	.attr('r', 10)
	.attr('cx', d => linearScale(d) + 200)
	.attr('cy', 200)
	.attr('fill', d => sequentialScale(d))